<div class="col-lg-12 animated fadeInRight">
    <div class="wrapper wrapper-content animated fadeInRight">
        <div class="row">
            <div class="col-lg-12">
                <div class="ibox float-e-margins">
                    <div class="ibox-title">
                        <h3>
                            <strong>Manage Social Settings</strong>
                        </h3>
                        <div class="ibox-content">
                            <div class="table-responsive">
                                <table aria-describedby="Manage Social Settings" class="table table-striped table-bordered table-responsive">
                                    <thead>
                                        <tr>
                                            <th scope="col" (click)="sort('social_type')">Social Type
                                                <span>
                                                    <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='social_type' }"></i>
                                                    <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='social_type' }"></i>
                                                </span>
                                            </th>
                                            <th scope="col" (click)="sort('status')">Staus
                                                <span>
                                                    <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='status' }"></i>
                                                    <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='status' }"></i>
                                                </span>
                                            </th>
                                            <th scope="col" (click)="sort('updated_at')">Date
                                                <span>
                                                    <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='updated_at' }"></i>
                                                    <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='updated_at' }"></i>
                                                </span>
                                            </th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <span *ngIf="showloader">
                                            <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
                                        </span>
                                        <tr *ngFor="let socialSettings of socialSettingsData; let i = index" [attr.data-index]="i">
                                            <td>{{socialSettings.social_type}} </td>
                                            <td *ngIf="socialSettings.status == '1'">
                                                <button [disabled]="!aclAdd" class="btn btn-sm btn-danger" (click)="openDialogToEnable(socialSettings, i)">Disable</button>
                                            </td>
                                            <td *ngIf="socialSettings.status == '0'">
                                                <button [disabled]="!aclAdd" class="btn btn-sm btn-primary" (click)="openDialogToDisable(socialSettings, i)">Enable</button>
                                            </td>
                                            <td>{{socialSettings.updated_at | date}}</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <br>

                            <div class="container-fluid" *ngIf="socialSettingsLength>0">
                                <div class="row col-md-12 text-center">
                                    <div class="dataTables_info1">
                                        <div>
                                            <ngb-pagination [collectionSize]="socialSettingsLength" (pageChange)="pagingAgent($event)" [page]="1" [pageSize]="itemsPerPage" aria-label="Default pagination"
                                                [maxSize]="5" [boundaryLinks]="true"></ngb-pagination>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="container-fluid" *ngIf="socialSettingsLength==0">
                                <div class="row">
                                    <div class="dataTables_info1">
                                        <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                                            No records found.
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
